Search Unity

Can't install iOS Build Support

Discussion in 'iOS and tvOS' started by bpalumbi, Apr 3, 2016.

  1. bpalumbi

    bpalumbi

    Joined:
    Apr 3, 2016
    Posts:
    2
    Hi,
    I'm trying to get a Unity project onto my iPhone. I went to Build Settings and tried to switch the project to the iOS platform, but it says there is no iOS module loaded. I opened the Unity Download Assistant and tried to download only the iOS Build Support, but I got an error.

    "An error occurred while running scripts from the package “UnitySetup-iOS-Support-for-Editor-5.3.4f1.pkg”."

    Please tell me how I can load the iOS module. I'm trying to make a virtual reality environment in Unity, but I need to be able to get it onto my phone.

    Thanks.
     
  2. anguszhu

    anguszhu

    Joined:
    Apr 11, 2016
    Posts:
    1
    http://netstorage.unity3d.com/unity...UnitySetup-iOS-Support-for-Editor-5.3.2f1.pkg
     
    unity_kRkieT1g2VLTvQ likes this.
  3. pixxelbob

    pixxelbob

    Joined:
    Aug 26, 2014
    Posts:
    111
    Ahh getting the same issue here but on 5.3.4f1

    I'm guessing there's something wrong with the OSX installer...

    @anguszhu I don't suppose you have the direct link to UnitySetup-iOS-Support-for-Editor-5.3.4f1.pkg as you've linked the one for 5.3.2f1 ?

    //edit
    Doh my issue was because I have multiple versions of Unity installed & the main one I'm using is 5.3.3f1
    So it was trying to install the 5.3.4f1 iOS build support in the 5.3.3f1 app.

    Check your install.log mine contained the following:

    installd[291]: ./preinstall: Version: 5.3.3f1
    installd[291]: ./preinstall: Expected: 5.3.4f1
    installd[291]: ./preinstall: Unity version is not compatible with this component

    It's a shame that that error doesn't bubble up to the installer GUI.
     
    Last edited: Apr 21, 2016
    thedrhax14 likes this.
  4. Ratboy601

    Ratboy601

    Joined:
    Jun 22, 2014
    Posts:
    29
    I can't even get the download to complete for 5.3.5.f1...
     
  5. Pau1

    Pau1

    Joined:
    Mar 21, 2016
    Posts:
    7
    Little old now, but was failing trying to install 5.3.5f1

    Turns out the Unity app has to be located in /Applications/Unity and has to be called Unity.app

    To find the version number the pre install script looks specifically at
    $DSTVOLUME/Applications/Unity/Unity.app/Contents/Info.plist if that files doesn't exist the installer fails without any indication as to why
     
  6. Diztraido2

    Diztraido2

    Joined:
    Sep 13, 2017
    Posts:
    1
    Thank you, this helped me install the IOS Build Support successfully! I have 4 versions of Unity installed and I had to change the folder name back to "Unity" for the version I was adding the IOS Build Support. The folder name was "Unity 2017.2Of3". I name each application folder a version to identify them.
     
  7. wirama

    wirama

    Joined:
    Apr 25, 2017
    Posts:
    2
    Thank you so much @Pau1 and @Diztraido2 , I faced the same problem when installing iOS and Android packages in Unity 2017.2.0f3. You guys saved me!
     
  8. vijayveluri

    vijayveluri

    Joined:
    Dec 16, 2016
    Posts:
    2
    This solution worked for me. Thank you.
     
  9. HolyManoly

    HolyManoly

    Joined:
    May 14, 2014
    Posts:
    6
    My file system is already set like that, and still can't install the build support..
     
  10. SweatyChair

    SweatyChair

    Joined:
    Feb 15, 2016
    Posts:
    123
    That's it for me, I have 2 version of Unity and I renamed it....

     
  11. quicksly

    quicksly

    Joined:
    Jan 3, 2017
    Posts:
    1
    Had the same problem with 2017.3.1f1 installed through the Unity Hub.

    Hub places the files into /Unity/Hub/Editor/2017.3.1f1. So I had to move the files to /Unity/ and install the module. Afterwards copy the files back to the original folder and it works like a charm now.

    Thanks folks. :)
     
    karinarigby likes this.
  12. phong-genix

    phong-genix

    Joined:
    Oct 28, 2015
    Posts:
    113
    I had the same problem and was able to fix it following @quicksly method. Thanks!
     
  13. Mike-B

    Mike-B

    Joined:
    Nov 18, 2012
    Posts:
    13
    I simply temporarily renamed the folder version I want to use "Unity" and the module installed correctly. Then renamed the folder back with the version number.
     
  14. dmko

    dmko

    Joined:
    Jun 15, 2014
    Posts:
    65
    is this really the current solution with the Hub?!
     
  15. Chintan-Kansagara

    Chintan-Kansagara

    Joined:
    Jul 16, 2016
    Posts:
    19
    Hi..

    unity 3d how to check app installed in ios device code

    Thanks!
     
  16. JeffDUnity3D

    JeffDUnity3D

    Unity Technologies

    Joined:
    May 2, 2017
    Posts:
    6,692
    @Chintan-Kansagara Can you elaborate? Are you asking if a particular Unity game is installed on your iPhone?
     
  17. caliber_s

    caliber_s

    Joined:
    Sep 10, 2018
    Posts:
    1
    I can't believe that was necessary, but yep, that definitely worked. Running 2017.4.10f1 and I successfully got the iOS build support module installed.
     
  18. diegodeddo

    diegodeddo

    Joined:
    Jan 17, 2018
    Posts:
    1
    If you try to install build support from inside Build Settings, it fails. But using Unity Hub's "Add Component" feature works. Go to Installs tab, find your installed Unity version, click ..., select "Add Component".
     
  19. thedrhax14

    thedrhax14

    Joined:
    Aug 7, 2014
    Posts:
    31
    The same for me. I had to move Unity.app to Unity folder for a time and after install move back to Editor folder.
     
  20. chrixxxtopher

    chrixxxtopher

    Joined:
    Apr 8, 2018
    Posts:
    6
    wow this still isn't fixed - I had to move my Unity.app into my Unity folder in my Applications to install the IOS module too
     
  21. agirault

    agirault

    Joined:
    Oct 22, 2018
    Posts:
    2
    It's 2019 and it's still not fixed: could not install the UnitySetup-iOS-Support-for-Editor-2018.3.0f2.pkg without placing the content of /Applications/Unity/Hub/Editor/2018.3.0f2/ in /Applications/Unity

    Once iOSSupport is installed in ‎⁨/⁨Applications⁩/Unity/⁨PlaybackEngines⁩, I could not load that module in Unity (did not appear in the Module Manager (Unity > Modules...), and selecting iOS in Build Settings showed "No iOS module loaded". The solution was to copy the PlackbackEngines folder inside /Applications/Unity/Hub/Editor/2018.3.0f2/, alongside Unity.app
     
    Last edited: Feb 25, 2019
  22. TomGuldin

    TomGuldin

    Joined:
    Dec 9, 2015
    Posts:
    2
    Hi all, I had the same problem installing the iOS support package until I tried installing it through Unity Hub. I went to my Installs on Hub and clicked on the three ... on the right then clicked 'add component', choose iOS Build Support and let it do it's thing. It installed iOS support and everything works fine.
     
  23. NikhilNayak123

    NikhilNayak123

    Joined:
    Nov 11, 2018
    Posts:
    2
    Hi. I am on a Mac(Mojave) and a very similar thing is occurring. The hierarchy of folders, items, etc. is below and when I try to download the iOS module for building the game, it brings back an error saying the installation failed. Does anyone know what is happening? I have tried everything others have posted but they don't seem to work. Also, the file under Editor named "Unity" was renamed. I renamed it from the 2018.3.2f1 to Unity. I have a PC but that doesn't support Xcode as that is what I am using to build the game onto an iPhone. If anyone has a solution that fixes this problem or even lets me use the PC, that would be helpful. I do not know much about Unity so I can't really debug this myself.

    Thanks!





    Screen Shot 2019-06-10 at 8.21.30 PM.png
     
  24. cmyd

    cmyd

    Joined:
    Oct 29, 2017
    Posts:
    92
    You need a mac to build for IOS, There are some assets on the asset store that claims to build IOS apps on windows, worth a search.
     
  25. NikhilNayak123

    NikhilNayak123

    Joined:
    Nov 11, 2018
    Posts:
    2
    Thanks @cmyd, I'll make sure to check that out.
     
  26. nicmarxp

    nicmarxp

    Joined:
    Dec 3, 2017
    Posts:
    254
    I also got an error installing UnitySetup-iOS-Support-for-Editor-2019.1.8f1.pkg which I downloaded by clicking the link in the Build window inside Unity. However in the Unity Hub 2.0.2 in the Installation Tab I can click the 3 dots and "Add modules", and add iOS from there, and it worked!
     
    jbuican14 likes this.
  27. unity_mjL6a3uyLJKrEg

    unity_mjL6a3uyLJKrEg

    Joined:
    Jul 22, 2019
    Posts:
    3
    Wow! This one solved the issue. Thanks a lot!!
     
    dogukandemir and UnityGoss like this.
  28. jbuican14

    jbuican14

    Joined:
    Jul 25, 2019
    Posts:
    1
    I tried and it worked by just using the Installs option under Unity Application. Thanks guys!:)
     
  29. UnityGoss

    UnityGoss

    Joined:
    Jul 16, 2019
    Posts:
    1
    Solution!

    Problem: I got an error on the final stage of installing iOS Support

    Solution: Moving the content of "/Applications/Unity/Hub/Editor/2019.1.10f1/" into "/Applications/Unity" then retrying the installation was successful!

    Note: I then needed to move Playback Engines and Unity back into the folder named: "/Applications/Unity/Hub/Editor/2019.1.10f1/" in order to be able to open the editor again, and then successfully have iOS Support installed and accessible in File > Build Settings.

    Unity, if you're reading this, please do something about it. :)
     
    Last edited: Aug 20, 2019
    shortnotion and DydjyZ like this.
  30. lukemon577

    lukemon577

    Joined:
    Aug 26, 2019
    Posts:
    1
    Just for anyone who does not know the how to get to files or really does not want to mess with it. you can install the. package through the hub and when you install the unity version. Screenshot 2019-09-09 at 19.12.39.png Screenshot 2019-09-09 at 19.13.09.png
     
  31. mentolatux

    mentolatux

    Joined:
    Nov 2, 2014
    Posts:
    236
    working great :)
     
  32. Demmoboys

    Demmoboys

    Joined:
    Dec 19, 2019
    Posts:
    1
    Same
     
  33. shortnotion

    shortnotion

    Joined:
    May 20, 2015
    Posts:
    5
    Legend!
     
unityunity